%define mygpoqt_major 1
%define libmygpoqt %mklibname mygpo-qt %{mygpoqt_major}
%define mygpodevel %mklibname mygpo-qt -d


Name:          libmygpo-qt
Summary:       Qt/C++ Library wrapping the gPodder.net Webservice
Group:         Graphical desktop/KDE4
Version:       1.0.6
Release:       %mkrel 1
License:       GPLv3
URL:           https://github.com/ase23/libmygpo-qt
Source0:       http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.xz
Patch1:        libmygpo-qt-1.0.5-fix-pkgconfig.patch
BuildRequires: cmake
BuildRequires: qjson-devel
BuildRequires: qt4-devel

%description 
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API 
(http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading subscription 
   Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates for a 
   given Device" instead)

#-------------------------------------------------------------------------------

%package -n %{libmygpoqt}
Summary: Qt/C++ Library wrapping the gPodder.net Webservice
Group: System/Libraries
Obsoletes: %{name} < %{version}
Provides: %{name} = %{version}-%{release}

%description -n %{libmygpoqt}
Qt/C++ Library wrapping the gPodder.net Webservice

%files -n %{libmygpoqt}
%_libdir/libmygpo-qt.so.%{mygpoqt_major}*

#-------------------------------------------------------------------------------


%package -n %{mygpodevel}
Summary: Devel stuff for %name
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libmygpoqt} = %{version}-%{release}

%description -n %{mygpodevel}
This package contains header files needed if you wish to build applications
based on %{name} .

%files -n %{mygpodevel}
%_includedir/mygpo-qt
%_libdir/pkgconfig/libmygpo-qt.pc
%_libdir/libmygpo-qt.so
%_libdir/cmake/mygpo-qt

#-----------------------------------------------------------------------------

%prep
%setup -q -n %name.%version
%apply_patches

%build
%cmake_qt4
%make

%install
%makeinstall_std -C build


%changelog
* Thu Jun 06 2013 Texstar <texstar at gmail.com> 1.0.6-1pclos2013
- 1.0.6 for Amarok 2.7.1

* Fri Dec 16 2011 Texstar <texstar at gmail.com> 1.0.5-1pclos2011
- 1.0.5
